// This class is used to track line and column numbers
#pragma once
#include <string>

namespace util {
    class Pos {
        public:

            // maintain this as line number current token was scanned on
            static int  linenum;

            // maintain this as column number current token began at
            static int  colnum;

            // maintain this as line number after scanning current token
            static int  line;

            // maintain this as column number after scanning current token
            static int  col;

            // Set starting position for current token
            static void setpos();

            // Calculate position after given string
            static void calcPos(std::string string);
    };
}
